LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XValidatable Interface Reference

specifies support for validating a component More...

`import"XValidatable.idl";`

Inheritance diagram for XValidatable:

## Public Member Functions
void | setValidator ([in] XValidator Validator) raises ( com::sun::star::util::VetoException )
| sets an external instance which is able to validate the component More...
XValidator | getValidator ()
| retrieves the external instance which is currently used to validate the component More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies support for validating a component

See also
  XValidator

Developers Guide
  Forms - Validation

## Member Function Documentation

## ◆ getValidator()

XValidator getValidator | ( |  | ) |

retrieves the external instance which is currently used to validate the component

## ◆ setValidator()

void setValidator | ( | [in] XValidator | Validator | ) |
raises | ( | com::sun::star::util::VetoException
| ) |  |

sets an external instance which is able to validate the component

Any previously active validator will be revoked - there can be only one!

Parameters

  Validator | the new validator which is to be used by the component. May be `NULL`, in this case only the current validator is revoked.

Exceptions

  com::sun::star::util::VetoException | if changing the validator is not allowed in the current component state

The documentation for this interface was generated from the following file:

- com/sun/star/form/validation/XValidatable.idl